package com.schisandra.oss.domain.convert;

    import com.schisandra.oss.domain.bo.SchisandraOssMinioBO;
    import com.schisandra.oss.infra.basic.entity.SchisandraOssMinio;
    import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

    import java.util.List;

/**
 *  bo转换器
 *
 * @author landaiqing
 * @since 2024-05-14 19:47:04
 */
@Mapper
public interface SchisandraOssMinioBOConverter {

    SchisandraOssMinioBOConverter INSTANCE = Mappers.getMapper(SchisandraOssMinioBOConverter.class);

    SchisandraOssMinio convertBOToEntity(SchisandraOssMinioBO schisandraOssMinioBO);
    SchisandraOssMinioBO convertEntityToBO(SchisandraOssMinio schisandraOssMinio);
    List<SchisandraOssMinioBO> convertEntityToBOList(List<SchisandraOssMinio> schisandraOssMinioList);

}
